%global enable_tests 1
%global module_name ascii-tree

Name:           nodejs-%{module_name}
Version:        0.1.1
Release:        2%{?dist}
Summary:        A node module for generating a text tree in ASCII

License:        MIT
URL:            https://github.com/liushuping/ascii-tree
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(freetree)
%endif

%description
Editing an ASCII tree manually is not easy, the freetree module provides an
easy way for creating in-memory tree data structure from simple bullet items.
This ascii-tree module leverages freetree and outputs formatted tree in ascii
characters.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep freetree ~0.x

sed -i "s|\r||g" README.md LICENSE

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha ./test/ascii-tree.test.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.1-1
- Initial packaging

